//@see http://www.nicovideo.jp/watch/sm22353926

uniform sampler2D tex;
uniform float     time;

varying vec2  HoleCenter;
varying float HoleRadius;
varying float alpha;

void main (void){
	vec2 pos = (gl_PointCoord.st - 0.5) * 2.0;
	if(distance(pos,HoleCenter)<HoleRadius) discard;

//	gl_FragColor    = texture(tex, gl_PointCoord);
//	float color = pos.length();//NG
	float color = length(pos);//OK
	if(color>1.0) discard;
	gl_FragColor.r = 1.0;
//	gl_FragColor.g = 1.0-color*0.5;
	gl_FragColor.g = 1.0-pow(color, 8.0)*0.50;
//	gl_FragColor.b = 1.0-color*0.75;
	gl_FragColor.b = 1.0-pow(color, 8.0)*0.75;
//	gl_FragColor.a *= alpha;
	gl_FragColor.a  = alpha;
//	if(gl_FragColor.a<=0.0) discard;
}
